<?php

// =============================================================================
// installScript.php                                            
//
// Wizards Gallery: Gallery MOD for Simple Machines Forum Shop Mod                 
// ============================================================================= 
//                                      
// Wizards Gallery by:         The Wizard (reidsvilleclassictoys@yahoo.com)  
// Version Number:             V 3.7      
// Copyright 2012 by:          The Wizard                                         
// 
// Wizards Gallery was designed to be used with the Shop Mod for SMF
//
// SMF SHOP Software by:       DanSoft Australia (http://www.dansoftaustralia.net/)
// Copyright 2009 by:          vbgamer45 (http://www.smfhacks.com)                 
// Copyright 2005-2007 by:     DanSoft Australia (http://www.dansoftaustralia.net/)
// Support, News, Updates at:  http://www.dansoftaustralia.net/                   
//                                                                                 
// Forum software by:          Simple Machines (http://www.simplemachines.org)     
// Copyright 2006-2007 by:     Simple Machines LLC (http://www.simplemachines.org) 
//           2001-2006 by:     Lewis Media (http://www.lewismedia.com)             
// 
// Terms of the provided license:
// This program is free software; you may redistribute it and/or modify it. 
// You are not allowed to sell this software, or package it in with software for sale.
//
// This program is distributed in the hope that it is, and will be useful, but     
// WITHOUT ANY WARRANTIES; without even any implied warranty of MERCHANTABILITY   
// or FITNESS FOR A PARTICULAR PURPOSE.
//                                           
// Artwork
// by: Disneyclips.com
//                             
// ==============================================================================

if (file_exists(dirname(__FILE__) . '/SSI.php') && !defined('SMF'))
{
	$ssi = true;
	require_once(dirname(__FILE__) . '/SSI.php');
}
elseif (!defined('SMF'))
	exit('<b>Error:</b> Cannot install - please verify you put this in the same place as SMF\'s index.php.');

// New settings for the shop mod

global $smcFunc;

$newSettings = array(
	'shopImageWidth' => '45',
	'shopImageHeight' => '45',
	);

// Insert them into the database
// !!! This is done evily like this!
foreach ($newSettings as $variable => $value)
{
	$smcFunc['db_insert']('replace', '{db_prefix}settings',
		array(
			'variable' => 'string',
			'value' => 'string',
			),
		array(
			'variable' => $variable,
			'value' => $value,
			),
		array()
	);
}
	
// Create a Column called wizard	
	
global $smcFunc;

if(!array_key_exists('db_add_column', $smcFunc))
	db_extend('packages');

$column_array = array(
	'column1' => array(
		'name' => 'wizard', 
		'type' => 'varchar',
		'size' => '800',
		'null' => false,
		'default' => '',
	),
	
);

foreach ($column_array as $key => $data)
{
	$smcFunc['db_add_column'](
		'{db_prefix}members',
		$data,
		array(),
		'update',
		'fatal'
	);
}

// ***** Disney Item Package *****

global $smcFunc;

// Insert Shop Categories 

$smcFunc['db_insert']('insert', '{db_prefix}shop_categories', 

        array (
	        'name' => 'string',
		'id' => 'int',
		'count' => 'int',
	      ),	

// Values

        array(
	      'name' => 'Disney Items',
	      'id' => '500',
	      'count' => '10',
	      )
	);

// Insert shop items
$smcFunc['db_insert']('insert', '{db_prefix}shop_items',

// Fields
	array(
		'name' => 'string',
		'desc' => 'string',
		'price' => 'float',
		'module' => 'string',
		'stock' => 'int',
		'image' => 'string',
		'info1' => 'int',
		'info2' => 'int',
		'input_needed' => 'int',
		'can_use_item' => 'int',
		'delete_after_use' => 'int',
		'category' => 'int',
		),

// Values
	array(
		// 1. - Buzz LightYear
		array(
			'name' => 'Buzz Lightyear',
			'desc' => 'Hero!',
			'price' => 50.00,
			'module' => 'Buzz',
			'stock' => 50,
			'image' => 'buzz-small.png',
			'info1' => 0,
			'info2' => 0,
			'input_needed' => 1,
			'can_use_item' => 1,
			'delete_after_use' => 1,
			'category' => 500,
			),
			
		// 2. - Captain Jack
		array(
			'name' => 'Captain Jack',
			'desc' => 'Pirate!',
			'price' => 50.00,
			'module' => 'Captain_Jack',
			'stock' => 50,
			'image' => 'captain-jack-small.png',
			'info1' => 0,
			'info2' => 0,
			'input_needed' => 1,
			'can_use_item' => 1,
			'delete_after_use' => 1,
			'category' => 500,
			),	

		// 3. - Donald Duck
        array(
			'name' => 'Donald Duck',
			'desc' => '2nd Greatest Disney Character',
			'price' => 50.00,
			'module' => 'Donald_Duck',
			'stock' => 50,
			'image' => 'donald-small.png',
			'info1' => 0,
			'info2' => 0,
			'input_needed' => 1,
			'can_use_item' => 1,
			'delete_after_use' => 1,
			'category' => 500,
			),

        // 4. - Goofy
        array(
			'name' => 'Goofy',
			'desc' => 'Goofy',
			'price' => 50.00,
			'module' => 'Goofy',
			'stock' => 50,
			'image' => 'goofy-small.png',
			'info1' => 0,
			'info2' => 0,
			'input_needed' => 1,
			'can_use_item' => 1,
			'delete_after_use' => 1,
			'category' => 500,
			),       
			
		// 5. - Mickey Mouse
        array(
			'name' => 'Mickey Mouse',
			'desc' => 'mouse',
			'price' => 50.00,
			'module' => 'Mickey_Mouse',
			'stock' => 50,
			'image' => 'mickey-small.png',
			'info1' => 0,
			'info2' => 0,
			'input_needed' => 1,
			'can_use_item' => 1,
			'delete_after_use' => 1,
			'category' => 500,
			),       
		
		// 6. - Minnie Mouse
        array(
			'name' => 'Minnie Mouse',
			'desc' => 'mouse',
			'price' => 50.00,
			'module' => 'Minnie_Mouse',
			'stock' => 50,
			'image' => 'minnie-small.png',
			'info1' => 0,
			'info2' => 0,
			'input_needed' => 1,
			'can_use_item' => 1,
			'delete_after_use' => 1,
			'category' => 500,
			),       		
		
		// 7. - Pluto
        array(
			'name' => 'Pluto',
			'desc' => 'Cute Dog',
			'price' => 50.00,
			'module' => 'Pluto',
			'stock' => 50,
			'image' => 'pluto-small.png',
			'info1' => 0,
			'info2' => 0,
			'input_needed' => 1,
			'can_use_item' => 1,
			'delete_after_use' => 1,
			'category' => 500,
			),       
			
		// 8. - The Queen - Snow White
        array(
			'name' => 'The Queen',
			'desc' => 'The Queen of the Kingdom',
			'price' => 50.00,
			'module' => 'Queen',
			'stock' => 50,
			'image' => 'queen-small.png',
			'info1' => 0,
			'info2' => 0,
			'input_needed' => 1,
			'can_use_item' => 1,
			'delete_after_use' => 1,
			'category' => 500,			
			),       		
			
		// 9. - Snow White
        array(
			'name' => 'Snow White',
			'desc' => 'Girl',
			'price' => 50.00,
			'module' => 'Snow_White',
			'stock' => 50,
			'image' => 'snow-small.png',
			'info1' => 0,
			'info2' => 0,
			'input_needed' => 1,
			'can_use_item' => 1,
			'delete_after_use' => 1,
			'category' => 500,
			),       		
		
		// 10. - Tinkerbell
        array(
			'name' => 'Tinkerbell',
			'desc' => 'Fairy',
			'price' => 50.00,
			'module' => 'Tinkerbell',
			'stock' => 50,
			'image' => 'tink-small.png',
			'info1' => 0,
			'info2' => 0,
			'input_needed' => 1,
			'can_use_item' => 1,
			'delete_after_use' => 1,
			'category' => 500,
			),       
			
        ),

		
array());           
?>