<?php

// =============================================================================
// add_action_hook.php                                              
//
// Wizards Gallery: Gallery MOD for Simple Machines Forum Shop Mod                 
// ============================================================================= 
//                                      
// Wizards Gallery by:         The Wizard (reidsvilleclassictoys@yahoo.com)  
// Version Number:             V 3.7       
// Copyright 2012 by:          The Wizard                                         
// 
// Wizards Gallery was designed to be used with the Shop Mod for SMF
//
// SMF SHOP Software by:       DanSoft Australia (http://www.dansoftaustralia.net/)
// Copyright 2009 by:          vbgamer45 (http://www.smfhacks.com)                 
// Copyright 2005-2007 by:     DanSoft Australia (http://www.dansoftaustralia.net/)
// Support, News, Updates at:  http://www.dansoftaustralia.net/                   
//                                                                                 
// Forum software by:          Simple Machines (http://www.simplemachines.org)     
// Copyright 2006-2007 by:     Simple Machines LLC (http://www.simplemachines.org) 
//           2001-2006 by:     Lewis Media (http://www.lewismedia.com)             
// 
// Terms of the provided license:
// This program is free software; you may redistribute it and/or modify it. 
// You are not allowed to sell this software, or package it in with software for sale.
//
// This program is distributed in the hope that it is, and will be useful, but     
// WITHOUT ANY WARRANTIES; without even any implied warranty of MERCHANTABILITY   
// or FITNESS FOR A PARTICULAR PURPOSE.
//                                           
// Artwork
// by: Disneyclips.com
//                             
// ==============================================================================

if (file_exists(dirname(__FILE__) . '/SSI.php') && !defined('SMF'))
	require_once(dirname(__FILE__) . '/SSI.php');
elseif(!defined('SMF'))
	die('<b>Error:</b> Cannot install - please verify that you put this file in the same place as SMF\'s index.php and SSI.php files.');

global $context;

if (!empty($context['uninstalling'])) {

remove_integration_function('integrate_pre_include', '$sourcedir/Subs-Wizards_Item_Gallery.php');
remove_integration_function('integrate_actions', 'wizard_add_hook');
remove_integration_function('integrate_pre_include', '$sourcedir/Subs-Wizards_Popup.php');
remove_integration_function('integrate_actions', 'wizard_popup_add_hook');
	
} else {

add_integration_function('integrate_pre_include', '$sourcedir/Subs-Wizards_Item_Gallery.php');
add_integration_function('integrate_actions', 'wizard_add_hook');
add_integration_function('integrate_pre_include', '$sourcedir/Subs-Wizards_Popup.php');
add_integration_function('integrate_actions', 'wizard_popup_add_hook');
	
}
	
?>