<?php

// =============================================================================
// Donald_Duck.php                                           
//
// Wizards Gallery: Gallery MOD for Simple Machines Forum Shop Mod                 
// ============================================================================= 
//                                      
// Wizards Gallery by:         The Wizard (reidsvilleclassictoys@yahoo.com)  
// Version Number:             V 3.7      
// Copyright 2012 by:          The Wizard                                         
// 
// Wizards Gallery was designed to be used with the Shop Mod for SMF
//
// SMF SHOP Software by:       DanSoft Australia (http://www.dansoftaustralia.net/)
// Copyright 2009 by:          vbgamer45 (http://www.smfhacks.com)                 
// Copyright 2005-2007 by:     DanSoft Australia (http://www.dansoftaustralia.net/)
// Support, News, Updates at:  http://www.dansoftaustralia.net/                   
//                                                                                 
// Forum software by:          Simple Machines (http://www.simplemachines.org)     
// Copyright 2006-2007 by:     Simple Machines LLC (http://www.simplemachines.org) 
//           2001-2006 by:     Lewis Media (http://www.lewismedia.com)             
// 
// Terms of the provided license:
// This program is free software; you may redistribute it and/or modify it. 
// You are not allowed to sell this software, or package it in with software for sale.
//
// This program is distributed in the hope that it is, and will be useful, but     
// WITHOUT ANY WARRANTIES; without even any implied warranty of MERCHANTABILITY   
// or FITNESS FOR A PARTICULAR PURPOSE.
//                                           
// Artwork
// by: Disneyclips.com
//                             
// ==============================================================================

// This is just to make sure that the item is used through SMF, and people aren't accessing it directly
// Additionally, this is used elsewhere in SMF (in almost all the files)

if (!defined('SMF'))
	 die('Hacking attempt...');
	 
// Your class should always be called item_filename, eg. if your file is 
// myCoolItem.php then the class should be called 'item_myCoolItem'. This 
// class should always extend itemTemplate.

class item_Donald_Duck extends itemTemplate
{

// When this function is called, you should set all the item's
	 // variables (see inside this example)
	 
	 function getItemDetails()
	 {

		 // The author's name
		 $this->authorName = 'The Wizard';
		 
		 // The author's website
		 $this->authorWeb = 'www.tribeuniverse.com';
		 
		 // The author's email address
		 $this->authorEmail = '';

		 // --- Values changeable from within the SMFShop admin panel ---
		 
		 // The name of the item
		 $this->name = 'Donald Duck';
		 
		 // The item's description
		 $this->desc = '2nd Greatest Disney Character';
		 
		 // The item's price
		 $this->price = 50;
        
		 // --- Unchageable values ---
		 // These values can not be changed when adding the item, they are stuck on what you set them to here.
		
		 // Whether the item requires input or not. In this case, we don't need
		 // any input
		 $this->require_input = true;
		 
		 // Set this to 'false' if the item is unusable. This is good for display
		 // items, such as rocks :).
		 $this->can_use_item = true;
	 }

// Since this item requires no input, we don't need to have a getUseInput function
// here (see the testitem2.php file if you want to make an item that needs input)
	
// This is where all the fun begins. This function is called when 
// the user actually uses the item. Return stuff, DON'T ECHO!
	
function onUse()
	 {
	 global $smcFunc, $user_info;
		 
	// Get the user's information from the database
	
     	$result = $smcFunc['db_query']('', "
		     	SELECT wizard
			     FROM {db_prefix}members
			     WHERE id_member = {int:current_member}
			     LIMIT 1",
			     array(
				       'current_member' => $user_info['id'],
			     ));
			
     // fetch their information
		
		 $row = $smcFunc['db_fetch_assoc']($result);
		 
	// add your value to the array - in this case its donald
	 	
	    $B = $row['wizard'] . (!empty($row['wizard']) ? ',' : '') . 'donald';
	 
	// Save all the orginal image names plus the new value

	     updateMemberData($user_info['id'], array('wizard' => $B));	
		
	     return '<br><h2>Oh, boy!<br /><br />You now own Donald Duck</h2><br />';
	 
	} 
}	 
?>
