<?php

// =============================================================================
// Subs-Wizards_Item_Gallery.php                                 
//
// Wizards Gallery: Gallery MOD for Simple Machines Forum Shop Mod                 
// ============================================================================= 
//                                      
// Wizards Gallery by:         The Wizard (reidsvilleclassictoys@yahoo.com)  
// Version Number:             V 3.7
// Copyright 2012 by:          The Wizard                                         
// 
// Wizards Gallery was designed to be used with the Shop Mod for SMF
//
// SMF SHOP Software by:       DanSoft Australia (http://www.dansoftaustralia.net/)
// Copyright 2009 by:          vbgamer45 (http://www.smfhacks.com)                 
// Copyright 2005-2007 by:     DanSoft Australia (http://www.dansoftaustralia.net/)
// Support, News, Updates at:  http://www.dansoftaustralia.net/                   
//                                                                                 
// Forum software by:          Simple Machines (http://www.simplemachines.org)     
// Copyright 2006-2007 by:     Simple Machines LLC (http://www.simplemachines.org) 
//           2001-2006 by:     Lewis Media (http://www.lewismedia.com)             
// 
// Terms of the provided license:
// This program is free software; you may redistribute it and/or modify it. 
// You are not allowed to sell this software, or package it in with software for sale.
//
// This program is distributed in the hope that it is, and will be useful, but     
// WITHOUT ANY WARRANTIES; without even any implied warranty of MERCHANTABILITY   
// or FITNESS FOR A PARTICULAR PURPOSE.
//                                           
// Artwork
// by: Disneyclips.com
//                             
// ==============================================================================

// place this file in the Sources file

    if (!defined('SMF'))
            die('Hacking attempt...');
			
// Function: wizard hook			
		 
function wizard_add_hook(&$actionArray)
{
	
    $actionArray['wizard'] = array('Subs-Wizards_Item_Gallery.php', 'wizard');

} // End of Function wizard hook bracket

// Function Wizard: Loads the wizard template file
		 
function wizard ()
{
    
	// Globals

	global $smcFunc, $txt, $user_info, $context, $boardurl;	
	
	// this command loads the template file (wizard_item_gallery.template.php)	

    loadTemplate('wizard_item_gallery');
	
	// add html headers and make all links on the page non-underlined

    $context['html_headers'] .= '
            <style type="text/css">
            a { text-decoration:none }
            </style>';

    // Show all Images user has in Gallery		
	
	    // Get the user's information from the database

	$request1 = $smcFunc['db_query']('','
           SELECT wizard
           FROM {db_prefix}members
           WHERE id_member={int:current_member}          
		   LIMIT 1',
           array(
		         'current_member' => $user_info['id'],				
			)	 
 		 );

		 // Populate the array

		 while($row=$smcFunc['db_fetch_assoc']($request1)){

		 if(empty($row))
		 return false;

		 $wizard2 = explode(',', $row['wizard']);

		 } // End of While bracket
		 
	$context['wizard2'] = $wizard2;
	
// Removes the image name from the wizard column	

    // Check inputted image

    $inputted_key = !empty($_GET['b']) ? $smcFunc['htmltrim']($smcFunc['htmlspecialchars']($_GET['b'], ENT_QUOTES)): '';
	
	if($inputted_key){	
   
    // Get the User's information from the Database

	$request = $smcFunc['db_query']('','
           SELECT wizard
		   FROM {db_prefix}members
		   WHERE id_member={int:current_member}
		   AND FIND_IN_SET({string:inputted_key}, wizard)
		   LIMIT 1',
		   array(
		         'current_member' => $user_info['id'],
				 'inputted_key' => $inputted_key
			)
        );
		
		// Populate array

	list($wizard) = $smcFunc['db_num_rows']($request) > 0 ? $smcFunc['db_fetch_row']($request) : array();

    $smcFunc['db_free_result']($request);

    if (empty($wizard))
        return false;
   
    // Explode & Locate

    $wizard_arr = explode(',', $wizard);

	$final_key = array_search($inputted_key, $wizard_arr);

    if ($final_key === false)
        return false;
   
    // Remove Image

    unset($wizard_arr[$final_key]);

    // Update the Members Column

    updateMemberData($user_info['id'], array('wizard' => implode(',', $wizard_arr)));

    // Refresh the Page and Clear the Post Data

    redirectexit($boardurl.'/index.php?action=wizard');

    } // End of if($inputted_key) bracket	
	
} // End of Function wizard bracket

?>